<?php
// $Id: ajax_validation.admin.inc,v 1.1.2.3 2008/09/11 22:17:44 tapocol Exp $

/**
 * @file
 */

/**
 * AJAX Validation settings form
 */
function ajax_validation_settings() {
  $form['ajax_validation'] = array(
    '#type' => 'checkbox',
    '#title' => t('AJAX Validation on all forms'),
    '#description' => t('This will validate all forms when submitting via AJAX before allowing the submit to continue.'),
    '#default_value' => variable_get('ajax_validation', 1),
  );
  $form['ajax_validation_error_placement'] = array(
    '#type' => 'select',
    '#title' => t('AJAX Validation Error Placement'),
    '#description' => t('Determines where to display the error message on the screen.'),
    '#options' => array(
      'field' => t('Next to the corresponding field'),
      'above' => t('Above the form'),
    ),
    '#default_value' => variable_get('ajax_validation_error_placement', 'field'),
  );

  return system_settings_form($form);
}
